import { TimeResolution } from '../../entities';
import { DataApiAggregateQuery } from '../../queries';
import { AggregateValue } from '../../values';
import { DataApiBaseQueryBuilder } from './base.query.builder';
import { DataApiHistoricalQueryBuilder } from './historical.query.builder';
export declare class DataApiAggregateOrHistoricalQueryBuilder extends DataApiBaseQueryBuilder {
    constructor(query: DataApiBaseQueryBuilder);
    getAggregate(...values: AggregateValue[]): DataApiAggregateQuery;
    withTimeResolution(resolution: TimeResolution): DataApiHistoricalQueryBuilder;
}
