"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DataApiTokensQueryBuilder = void 0;
const internal_1 = require("./internal");
class DataApiTokensQueryBuilder extends internal_1.DataApiBaseQueryBuilder {
    constructor() {
        super();
        this.addToPath({ name: 'tokens', args: [] });
    }
    dailyNumberOfTokenTransfers() {
        this.addToPath({ name: 'dailyNumberOfTokenTransfers', args: [], hasQuery: true });
        return new internal_1.DataApiFirstLastOrAggregateQueryBuilder(this);
    }
    dailyMostUsed(top) {
        this.addToPath({
            name: 'dailyMostUsed',
            args: [
                { name: 'top', type: 'Int!', value: top },
            ],
            hasQuery: true,
        });
        return new internal_1.DataApiMostUsedQueryBuilder(this);
    }
}
exports.DataApiTokensQueryBuilder = DataApiTokensQueryBuilder;
//# sourceMappingURL=tokens.query.builder.js.map