import { AccessToken } from './access.token';
import { NativeAuthSignerConfig } from './config';
export declare class NativeAuthSigner {
    private readonly config;
    private readonly nativeAuthClient;
    private userSigner?;
    private accessTokenInfo?;
    constructor(config: Partial<NativeAuthSignerConfig>);
    getToken(): Promise<AccessToken>;
    private getUserSigner;
    private getSignableToken;
    private getSignableMessage;
}
