"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DataApiStakingQueryBuilder = void 0;
const internal_1 = require("./internal");
class DataApiStakingQueryBuilder extends internal_1.DataApiBaseQueryBuilder {
    constructor() {
        super();
        this.addToPath({ name: 'staking', args: [] });
    }
    lockedAmount() {
        this.addToPath({ name: 'lockedAmount', args: [], hasQuery: true });
        return new internal_1.DataApiFirstLastOrAggregateQueryBuilder(this);
    }
    lockedAmount24h() {
        this.addToPath({ name: 'lockedAmount24h', args: [], hasQuery: true });
        return new internal_1.DataApiFirstLastOrAggregateQueryBuilder(this);
    }
}
exports.DataApiStakingQueryBuilder = DataApiStakingQueryBuilder;
//# sourceMappingURL=staking.query.builder.js.map