import { DataApiQueryType } from '../entities';
import { DataApiAggregateResponse, DataApiHistoricalResponse, DataApiMostUsedResponse, DataApiValueResponse } from '../responses';
export declare class DataApiResponseFormatter {
    static formatResponse(responsePath: string[], response: any): any;
    static buildValueResponse(queryType: DataApiQueryType, response: any): DataApiValueResponse | undefined;
    private static buildFirstOrLastResponse;
    private static buildLatestQuoteResponse;
    static buildAggregateResponse(response: any): DataApiAggregateResponse | undefined;
    static buildHistoricalResponse(response: any): DataApiHistoricalResponse[];
    static buildMostUsedResponse(response: any): DataApiMostUsedResponse[];
}
